# Class WsExtension

java.lang.Object
org.apache.tomcat.websocket.WsExtension

All Implemented Interfaces:
  `Extension`

public class WsExtension extends Object implements Extension
Implementation of WebSocket extension.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Extension

  `Extension.Parameter`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this extension.
  `List<Extension.Parameter>`
  `getParameters()`
  Returns the parameters associated with this extension.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `jakarta.websocket.Extension`
    Returns the name of this extension.
    Specified by:
      `getName` in interface `Extension`
    Returns:
      The extension name

  - ### getParameters

    public List<Extension.Parameter> getParameters()
    Description copied from interface: `jakarta.websocket.Extension`
    Returns the parameters associated with this extension.
    Specified by:
      `getParameters` in interface `Extension`
    Returns:
      The list of extension parameters